bitel.billing.server.card.bean

## Class DealerManager

- java.lang.Object
- - bitel.billing.server.card.bean.DealerManager

-     public class DealerManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DealerManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dealer` | `getDealer(int id)`
    `Dealer` | `getDealer(java.lang.String login, java.lang.String pswd)` Авторизация дилера
    `java.util.List<Dealer>` | `getDealerList(java.lang.String title, java.util.Calendar from, java.util.Calendar until, int type)`
    `java.util.List<Dealer>` | `getDealersByContractId(int cid, int type)`
    `java.util.List<Dealer>` | `getDealersByContractID(int cid, int type)` Deprecated.
    `void` | `incDealerError(int id)`
    `void` | `incDealerFinded(int id)` Deprecated.
    `void` | `incDealerFinded(int id, int count)`
    `void` | `incDealerPayed(int id)`
    `void` | `incDealerRequest(int id, int count)`
    `void` | `updateDealer(Dealer dealer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DealerManager

          public DealerManager(java.sql.Connection con,
                               int mid)

  - ### Method Detail

    - #### getDealer

          public Dealer getDealer(int id)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDealer

          public Dealer getDealer(java.lang.String login,
                                  java.lang.String pswd)
                           throws bitel.billing.server.card.idealer.DealerFindException

      Авторизация дилера
      Parameters:
        `login` -
        `pswd` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `bitel.billing.server.card.idealer.DealerFindException`

    - #### getDealersByContractId

          public java.util.List<Dealer> getDealersByContractId(int cid,
                                                               int type)

    - #### getDealersByContractID

          @Deprecated
          public java.util.List<Dealer> getDealersByContractID(int cid,
                                                                           int type)

      Deprecated.
      Использовать `getDealersByContractId(int, int)`.
      Parameters:
        `cid` -
        `type` -
      Returns:

    - #### getDealerList

          public java.util.List<Dealer> getDealerList(java.lang.String title,
                                                      java.util.Calendar from,
                                                      java.util.Calendar until,
                                                      int type)

    - #### updateDealer

          public void updateDealer(Dealer dealer)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### incDealerError

          public void incDealerError(int id)

    - #### incDealerRequest

          public void incDealerRequest(int id,
                                       int count)

    - #### incDealerFinded

          @Deprecated
          public void incDealerFinded(int id)

      Deprecated.

    - #### incDealerFinded

          public void incDealerFinded(int id,
                                      int count)

    - #### incDealerPayed

          public void incDealerPayed(int id)